#ifndef TESTSELECTION_H
#define TESTSELECTION_H


#include <QWidget>
#include <QPushButton>
#include <QString>
#include <QVBoxLayout>
#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QVariant>
#include <QDebug>
#include <QErrorMessage>


class TestSelection : public QWidget
{
    Q_OBJECT
public:
    explicit TestSelection(QWidget *parent = nullptr);

public slots:
    void _sh();
signals:
    void onClosed();

private:
    QPushButton* createButton(const QString &BtnName, size_t PixHor, size_t PixVert);
    QVBoxLayout* mainLayout;
    QSqlDatabase db;

public slots:
    //void anyBtnClicked();


};

#endif // TESTSELECTION_H
